package ru.yandex.direct.web.entity.adgeneration.model.response;

import java.util.Collection;
import java.util.Map;

import javax.annotation.Nullable;

import ru.yandex.direct.core.entity.adgeneration.model.ImageSuggest;

public class WebGenerateImageResult extends WebGenerationResult {

    @Nullable
    private Collection<ImageSuggest> suggests;

    public WebGenerateImageResult() {}

    public WebGenerateImageResult(Collection<ImageSuggest> suggests, Map<String, Object> additionalInfo) {
        super(additionalInfo);
        this.suggests = suggests;
    }

    @Nullable
    public Collection<ImageSuggest> getSuggests() {
        return suggests;
    }
}
